---@meta

---@class ABP_NonGIDirectionalLight_C : AActor
---@field UberGraphFrame FPointerToUberGraphFrame
---@field PointLight UPointLightComponent
---@field DefaultSceneRoot USceneComponent
---@field ['New Intensity'] float
local ABP_NonGIDirectionalLight_C = {}

function ABP_NonGIDirectionalLight_C:Update() end
function ABP_NonGIDirectionalLight_C:UserConstructionScript() end
function ABP_NonGIDirectionalLight_C:ReceiveBeginPlay() end
---@param GlobalIlluminationQuality int32
function ABP_NonGIDirectionalLight_C:ReceiveGameOptionChanged(GlobalIlluminationQuality) end
---@param EntryPoint int32
function ABP_NonGIDirectionalLight_C:ExecuteUbergraph_BP_NonGIDirectionalLight(EntryPoint) end


